







































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































/* 统一设置u-demo-block的顶部外边距为40rpx，形成模块间的间距 */
.u-demo-block.data-v-666e420a {
	margin-top: 10rpx;
	background-color: #ffffff;
	padding: 10rpx;
	border-radius: 10rpx;
}
.data-v-666e420a .login-form-row.data-v-666e420a {
	display: flex;
	align-items: center;
	padding: 1rpx;
	gap: 20rpx;
}
.user-info.data-v-666e420a {
	display: flex;
	align-items: center;
	padding: 20rpx;
	background-color: #f8f8f8;
	border-radius: 12rpx;
	margin-bottom: 20rpx;
}
.user-avatar.data-v-666e420a {
	width: 100rpx;
	height: 100rpx;
	border-radius: 50rpx;
	overflow: hidden;
	margin-right: 20rpx;
	border: 2rpx solid #eee;
}
.user-avatar image.data-v-666e420a {
	width: 100%;
	height: 100%;
}
.user-details.data-v-666e420a {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: 10rpx;
}
.username.data-v-666e420a {
	font-size: 32rpx;
	font-weight: bold;
	color: #333;
}
.user-area.data-v-666e420a {
	font-size: 24rpx;
	color: #666;
}
.logout.data-v-666e420a {
	font-size: 24rpx;
	color: #666;
	padding: 8rpx 16rpx;
	background-color: #f5f5f5;
	border-radius: 6rpx;
	cursor: pointer;
	align-self: center;
	margin-left: auto;
	border: 1rpx solid #e0e0e0;
	transition: all 0.3s ease;
}
.logout.data-v-666e420a:active {
	background-color: #e0e0e0;
}
.remember-password.data-v-666e420a {
	padding: 0 20rpx;
	margin-top: -10rpx;
	margin-bottom: 15rpx;
}
.checkbox-label.data-v-666e420a {
	display: flex;
	align-items: center;
	font-size: 24rpx;
	color: #666;
}
.checkbox-label text.data-v-666e420a {
	margin-left: 6rpx;
}
.login-button.data-v-666e420a {
	margin-top: 30rpx;
	width: 100%;
	background-color: #ffffff;
	color: #000000;
	border: 1rpx solid #000000;
}
/* 模块标题区域样式 */
.section-header.data-v-666e420a {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 15rpx;
}
/* 模块主标题样式 */
.section-title.data-v-666e420a {
	font-size: 32rpx;
	color: #333333;
	font-weight: bold;
}
/* 模块副标题样式 */
.section-subtitle.data-v-666e420a {
	font-size: 24rpx;
	color: #888888;
	text-align: right;
	white-space: nowrap;
}
/* 价格参考文本区域样式 */
.price-reference.data-v-666e420a {
	padding: 15rpx 0;
	line-height: 1.5;
}
/* 高亮文本样式 */
.highlight-text.data-v-666e420a {
	color: #000000;
	font-weight: bold;
}
/* 均价范围控制区域样式 */
.average-range-control.data-v-666e420a {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-top: 15rpx;
}
/* 范围标签样式 */
.range-label.data-v-666e420a {
	font-size: 26rpx;
	color: #666666;
}
/* 范围控制区域样式 */
.range-control.data-v-666e420a {
	display: flex;
	align-items: center;
}
/* 范围控制按钮样式 */
.range-btn.data-v-666e420a {
	width: 60rpx;
	height: 60rpx;
	line-height: 60rpx;
	text-align: center;
	background-color: #f5f5f5;
	border-radius: 8rpx;
	font-size: 32rpx;
	color: #333333;
	position: relative;
}
/* 第一个按钮显示减号 */
.range-control .range-btn.data-v-666e420a:first-child::before {
	content: "-";
	position: absolute;
	left: 50%;
	top: 50%;
	-webkit-transform: translate(-50%, -50%);
	        transform: translate(-50%, -50%);
	font-weight: bold;
}
/* 最后一个按钮显示加号 */
.range-control .range-btn.data-v-666e420a:last-child::before {
	content: "+";
	position: absolute;
	left: 50%;
	top: 50%;
	-webkit-transform: translate(-50%, -50%);
	        transform: translate(-50%, -50%);
	font-weight: bold;
}
/* 范围值显示样式 */
.range-value.data-v-666e420a {
	width: 80rpx;
	text-align: center;
	font-size: 28rpx;
	color: #333333;
}
/* 数字控制器容器样式 */
.number-control-wrapper.data-v-666e420a {
	display: flex;
	align-items: center;
	gap: 10rpx;
	padding: 10rpx;
}
/* 控制按钮基础样式 */
.number-control-btn.data-v-666e420a {
	width: 60rpx;
	height: 60rpx;
	background-color: #f5f5f5;
	border-radius: 8rpx;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 32rpx;
	color: #333;
	cursor: pointer;
}
/* 按钮悬停效果 */
.number-control-btn.data-v-666e420a:active {
	background-color: #e0e0e0;
}
/* 减号按钮样式 */
.minus-btn.data-v-666e420a {
	font-weight: bold;
}
/* 加号按钮样式 */
.plus-btn.data-v-666e420a {
	font-weight: bold;
}
/* 自定义数字输入框样式 */
.custom-input-box.data-v-666e420a {
	margin: 0 20rpx;
	width: 200rpx;
	height: 60rpx;
	text-align: center;
	background-color: #f8f8f8;
	border: 1rpx solid #dcdfe6;
	border-radius: 8rpx;
	font-size: 28rpx;
	color: #333;
}
/* 运费模板选择器的样式，包括边框、圆角、内边距、背景色、定位和顶部外边距 */
.freight-picker.data-v-666e420a {
	border: 1rpx solid #dcdfe6;
	border-radius: 8rpx;
	padding: 20rpx;
	background-color: #fff;
	position: relative;
	margin-top: 20rpx;
}
/* 选择器内容区域的样式，弹性布局实现内容左右分布，设置字体大小和颜色 */
.picker-content.data-v-666e420a {
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-size: 28rpx;
	color: #606266;
}
/* 选择器箭头的样式，通过边框设置三角形外观 */
.picker-content .arrow.data-v-666e420a {
	display: inline-block;
	width: 0;
	height: 0;
	border-left: 8rpx solid transparent;
	border-right: 8rpx solid transparent;
	border-top: 12rpx solid #909399;
	margin-left: 10rpx;
}
/* 自动提交模块容器的样式，包括背景色、内边距、圆角和顶部外边距 */
.auto-submit-container.data-v-666e420a {
	background-color: #f5f5f5;
	padding: 20rpx;
	border-radius: 10rpx;
	margin-top: 40rpx;
}
/* 自动提交模块标题部分的底部外边距样式 */
/* .section-title {
	margin-bottom: 20rpx;
} */
/* 自动提交模块标题文本的样式，包括颜色、字体大小和加粗 */
.title-text.data-v-666e420a {
	color: #333333;
	font-size: 32rpx;
	font-weight: bold;
}
/* 开关项的样式，弹性布局实现内容左右分布，设置内边距 */
.switch-item.data-v-666e420a {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15rpx 0;
}
/* 开关项文本的样式，设置颜色和字体大小 */
.switch-item text.data-v-666e420a {
	color: #666666;
	font-size: 28rpx;
}
/* 核心布局方案 */
.login-form-row.data-v-666e420a {
	display: flex;
	align-items: center;
	padding: 20rpx;
	gap: 20rpx;
}
/* 输入框宽度控制 */
.login-input.data-v-666e420a {
	flex: 3;
	/* 输入框占3份 */
	min-width: 200rpx;
	/* 最小宽度保障 */
	border-radius: 8rpx;
}
/* 按钮样式覆盖 */
.u-button.data-v-666e420a {
	flex-shrink: 0 !important;
	/* 禁止收缩 */
	padding: 0 20rpx !important;
}
::v-depp .u-border.data-v-666e420a {
	border-width: 0.5rpx !important;
	border-color: #dadbde !important;
	border-style: solid;
}
.data-v-666e420a .u-button--square.data-v-2bf0e569 {
	border-bottom-left-radius: 10rpx;
	border-bottom-right-radius: 10rpx;
	border-top-left-radius: 10rpx;
	border-top-right-radius: 10rpx;
}
/* 微信小程序需用 ::v-deep */
.data-v-666e420a .u-textarea__field.data-v-09988a29 {
	flex: 1;
	font-size: 29rpx;
	color: #606266;
	width: 100%;
}
/* 唯一class控制布局 */
.custom-layout.data-v-666e420a {
	display: flex !important;
	justify-content: space-between !important;
	/* align-items: center !important; */
	width: 100% !important;
	padding: 20rpx 0 !important;
}
/* 分段器按钮字体变大，适用于uView2的u-subsection */
.data-v-666e420a .u-subsection__item {
	font-size: 36rpx !important;
	height: 70rpx !important;
	line-height: 70rpx !important;
	padding: 0 30rpx !important;
}
.data-v-666e420a .u-subsection__item--active {
	font-size: 38rpx !important;
	font-weight: bold !important;
	color: #111 !important;
	background: #2979ff !important;
	border-color: #2979ff !important;
}
.u-demo-block__content.data-v-666e420a {
	height: auto !important;
	overflow: visible !important;
}
.data-v-666e420a .u-subsection {
	margin-bottom: 40rpx !important;
	margin-top: 10rpx !important;
	min-height: 70rpx !important;
	width: 100% !important;
}
.price-reference.data-v-666e420a {
	margin-bottom: 40rpx !important;
	margin-top: 30rpx !important;
	line-height: 1.8;
	min-height: 60rpx;
	word-break: break-all;
}
.u-demo-block__content>view[style*="margin-top:20rpx"].data-v-666e420a {
	margin-top: 40rpx !important;
}
.data-v-666e420a .u-subsection--button__bar.data-v-78c1286e {
	background-color: #c5c5c5;
	border-radius: 3rpx !important;
}
/* 多账号管理样式 */
.accounts-manager.data-v-666e420a {
	margin-top: 20rpx;
	padding: 0 20rpx;
}
.account-list.data-v-666e420a {
	margin-top: 10rpx;
}
.account-item.data-v-666e420a {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15rpx 0;
	border-bottom: 1rpx solid #eee;
}
.account-item.data-v-666e420a:last-child {
	border-bottom: none;
}
.account-info.data-v-666e420a {
	flex: 1;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.account-username.data-v-666e420a {
	font-size: 28rpx;
	color: #333;
	font-weight: bold;
}
.account-status.data-v-666e420a {
	font-size: 24rpx;
	color: #666;
	padding: 4rpx 10rpx;
	border-radius: 6rpx;
	border: 1rpx solid #e0e0e0;
}
.account-status.active.data-v-666e420a {
	color: #fff;
	background-color: #007AFF;
	border-color: #007AFF;
}
.account-actions.data-v-666e420a {
	display: flex;
	gap: 10rpx;
}
.action-btn.data-v-666e420a {
	font-size: 24rpx;
	color: #007AFF;
	padding: 4rpx 10rpx;
	border: 1rpx solid #007AFF;
	border-radius: 6rpx;
	cursor: pointer;
}
.action-btn.delete.data-v-666e420a {
	color: #f00;
	border-color: #f00;
}
.action-btn.data-v-666e420a:active {
	background-color: #e0e0e0;
}
.add-account.data-v-666e420a {
	font-size: 24rpx;
	color: #007AFF;
	padding: 6rpx 12rpx;
	border-radius: 6rpx;
	cursor: pointer;
	background-color: #f0f8ff;
	border: 1rpx solid #007AFF;
	display: inline-block;
}
/* 添加账号弹窗样式 */
.add-account-popup.data-v-666e420a {
	padding: 40rpx;
	background-color: #fff;
	border-radius: 20rpx;
	width: 600rpx;
}
.popup-title.data-v-666e420a {
	font-size: 32rpx;
	font-weight: bold;
	color: #333;
	margin-bottom: 30rpx;
	text-align: center;
}
.popup-form.data-v-666e420a {
	margin-bottom: 30rpx;
}
.popup-input.data-v-666e420a {
	margin-bottom: 30rpx;
	border: 1rpx solid #dcdfe6;
	border-radius: 8rpx;
	padding: 10rpx 20rpx;
	font-size: 28rpx;
	color: #333;
}
.popup-actions.data-v-666e420a {
	display: flex;
	justify-content: space-around;
	gap: 20rpx;
}
.popup-btn.data-v-666e420a {
	flex: 1;
	height: 80rpx;
	line-height: 80rpx;
	font-size: 32rpx;
	border-radius: 8rpx;
	border: none;
}
.popup-btn.cancel.data-v-666e420a {
	background-color: #f5f5f5;
	color: #333;
}
.popup-btn.confirm.data-v-666e420a {
	background-color: #007AFF;
	color: #fff;
}

